Supported from Plugin version 2.2.3 onwards
Retrieves the parameters in the page path when the plugin call page is opened (onLoad).
Note: When retrieving parameters, if the onLoad event of the plugin call page has not been triggered yet, the retrieved value may not be the latest. It is recommended to call this after the callPageOnShow event.
Parameters
None
Return Values
Object
The query parameter of the onLoad lifecycle in the Mini Program page (onLoad Object query)
Example Code
const wmpfVoip = requirePlugin('wmpf-voip').default
let query = {}
wmpfVoip.onVoipEvent((event) => {
if (event.eventName === 'callPageOnShow') {
query = wmpfVoip.getPluginOnloadOptions()
}
})